Index: /trunk/SophyaPI/PI/smakefile
===================================================================
--- /trunk/SophyaPI/PI/smakefile	(revision 2750)
+++ /trunk/SophyaPI/PI/smakefile	(revision 2751)
@@ -454,88 +500,95 @@
   pifontgen.h pigraphgen.h picmap.h picmapx.h picmapgen.h pifontx.h \
   pigrcoord.h pilineatt.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)pisurfdr.o: pisurfdr.cc \
-  $(SOPHYAINCP)sopnamsp.h pisurfdr.h \
-  parradapter.h $(SOPHYAINCP)machdefs.h \
-  lut.h pi3ddrw.h pisysdep.h pidrawer.h pibwdggen.h piwdgx.h piwdggen.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  pisurfdr.h parradapter.h \
+  $(SOPHYAINCP)machdefs.h lut.h \
+  pi3ddrw.h pisysdep.h pidrawer.h pibwdggen.h piwdgx.h piwdggen.h \
   pimsghandler.h picolist.h picmap.h picmapx.h picmapgen.h pigraphx.h \
   pigraphgen.h pifontx.h pifontgen.h pigrcoord.h pilineatt.h pigraphuc.h \
   pievthandler.h psfile.h pigratt.h piaxes.h pieldrw.h pigraph3d.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)pitherm.o: pitherm.cc \
-  $(SOPHYAINCP)sopnamsp.h pitherm.h \
-  pisysdep.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  pitherm.h pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
   pibwdgx.h pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h \
   picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h pifontx.h \
   pifontgen.h pigrcoord.h pilineatt.h pigraphuc.h pievthandler.h psfile.h \
   pigraphps.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)pitxtdrw.o: pitxtdrw.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h pitxtdrw.h \
-  pisysdep.h pidrawer.h pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h \
-  picolist.h picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h \
-  pifontx.h pifontgen.h pigrcoord.h pilineatt.h pigraphuc.h \
+  $(SOPHYAINCP)machdefs.h \
+  pitxtdrw.h pisysdep.h pidrawer.h pibwdggen.h piwdgx.h piwdggen.h \
+  pimsghandler.h picolist.h picmap.h picmapx.h picmapgen.h pigraphx.h \
+  pigraphgen.h pifontx.h pifontgen.h pigrcoord.h pilineatt.h pigraphuc.h \
   pievthandler.h psfile.h pigratt.h piaxes.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)piwdggen.o: piwdggen.cc \
-  $(SOPHYAINCP)sopnamsp.h piwdggen.h \
-  $(SOPHYAINCP)machdefs.h pimsghandler.h \
-  picolist.h picontainergen.h pisysdep.h piwdgx.h pievthandler.h \
-  pigraphx.h pigraphgen.h picmap.h picmapx.h picmapgen.h pifontx.h \
-  pifontgen.h pigrcoord.h pilineatt.h psfile.h
-	$(CXXCOMPILE) -o $@ $<
- 
-$(SOPHYAOBJP)piwdgx.o: piwdgx.cc $(SOPHYAINCP)sopnamsp.h \
-  piwdgx.h piwdggen.h \
-  $(SOPHYAINCP)machdefs.h pimsghandler.h \
-  picolist.h picontainerx.h pisysdep.h picontainergen.h pievthandler.h \
-  pigraphx.h pigraphgen.h picmap.h picmapx.h picmapgen.h pifontx.h \
-  pifontgen.h pigrcoord.h pilineatt.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  piwdggen.h \
+  $(SOPHYAINCP)machdefs.h \
+  pimsghandler.h picolist.h picontainergen.h pisysdep.h piwdgx.h \
+  pievthandler.h pigraphx.h pigraphgen.h picmap.h picmapx.h picmapgen.h \
+  pifontx.h pifontgen.h pigrcoord.h pilineatt.h psfile.h
+	$(CXXCOMPILELIB) -o $@ $<
+ 
+$(SOPHYAOBJP)piwdgx.o: piwdgx.cc \
+  $(SOPHYAINCP)sopnamsp.h piwdgx.h \
+  piwdggen.h \
+  $(SOPHYAINCP)machdefs.h \
+  pimsghandler.h picolist.h picontainerx.h pisysdep.h picontainergen.h \
+  pievthandler.h pigraphx.h pigraphgen.h picmap.h picmapx.h picmapgen.h \
+  pifontx.h pifontgen.h pigrcoord.h pilineatt.h \
   $(SOPHYAINCP)pexceptions.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)piwindowgen.o: piwindowgen.cc \
-  $(SOPHYAINCP)sopnamsp.h piwindowgen.h \
-  pisysdep.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  piwindowgen.h pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
   picontainerx.h picontainergen.h piwdgx.h piwdggen.h pimsghandler.h \
   picolist.h psfile.h pifontgen.h pigraphgen.h picmap.h picmapx.h \
   picmapgen.h pifontx.h pigrcoord.h pilineatt.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)piwindowx.o: piwindowx.cc \
-  $(SOPHYAINCP)sopnamsp.h piwindowx.h \
-  piwindowgen.h pisysdep.h \
-  $(SOPHYAINCP)machdefs.h picontainerx.h \
-  picontainergen.h piwdgx.h piwdggen.h pimsghandler.h picolist.h
-	$(CXXCOMPILE) -o $@ $<
+  $(SOPHYAINCP)sopnamsp.h \
+  piwindowx.h piwindowgen.h pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
+  picontainerx.h picontainergen.h piwdgx.h piwdggen.h pimsghandler.h \
+  picolist.h
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)pixtbase.o: pixtbase.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h pixtbaseP.h \
-  pibwdgx.h pisysdep.h pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h \
-  picolist.h picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h \
-  pifontx.h pifontgen.h pigrcoord.h pilineatt.h pigraphuc.h \
+  $(SOPHYAINCP)machdefs.h \
+  pixtbaseP.h pibwdgx.h pisysdep.h pibwdggen.h piwdgx.h piwdggen.h \
+  pimsghandler.h picolist.h picmap.h picmapx.h picmapgen.h pigraphx.h \
+  pigraphgen.h pifontx.h pifontgen.h pigrcoord.h pilineatt.h pigraphuc.h \
   pievthandler.h psfile.h pigraphps.h pixtbase.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)piyfxdrw.o: piyfxdrw.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h piyfxdrw.h \
-  pisysdep.h parradapter.h lut.h pidrawer.h pibwdggen.h piwdgx.h \
-  piwdggen.h pimsghandler.h picolist.h picmap.h picmapx.h picmapgen.h \
-  pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigrcoord.h pilineatt.h \
-  pigraphuc.h pievthandler.h psfile.h pigratt.h piaxes.h
-	$(CXXCOMPILE) -o $@ $<
- 
-$(SOPHYAOBJP)psfile.o: psfile.cc $(SOPHYAINCP)sopnamsp.h \
-  psfile.h $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)machdefs.h \
+  piyfxdrw.h pisysdep.h parradapter.h lut.h pidrawer.h pibwdggen.h \
+  piwdgx.h piwdggen.h pimsghandler.h picolist.h picmap.h picmapx.h \
+  picmapgen.h pigraphx.h pigraphgen.h pifontx.h pifontgen.h pigrcoord.h \
+  pilineatt.h pigraphuc.h pievthandler.h psfile.h pigratt.h piaxes.h
+	$(CXXCOMPILELIB) -o $@ $<
+ 
+$(SOPHYAOBJP)psfile.o: psfile.cc \
+  $(SOPHYAINCP)sopnamsp.h psfile.h \
+  $(SOPHYAINCP)machdefs.h \
   pisysdep.h pifontgen.h pigraphgen.h piwdgx.h piwdggen.h pimsghandler.h \
   picolist.h picmap.h picmapx.h picmapgen.h pifontx.h pigrcoord.h \
   pilineatt.h
-	$(CXXCOMPILE) -o $@ $<
- 
+	$(CXXCOMPILELIB) -o $@ $<
+ 
Index: /trunk/SophyaPI/PIGcont/Makefile
===================================================================
--- /trunk/SophyaPI/PIGcont/Makefile	(revision 2750)
+++ /trunk/SophyaPI/PIGcont/Makefile	(revision 2751)
@@ -12,5 +12,6 @@
 $(SOPHYAOBJP)picntools.o: picntools.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h picntools.h \
+  $(SOPHYAINCP)machdefs.h \
+  picntools.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)pistdwdgx.h \
@@ -48,5 +49,6 @@
   $(SOPHYAINCP)psfile.h \
   $(SOPHYAINCP)pigraphps.h \
-  $(SOPHYAINCP)picmapview.h pigncont.h \
+  $(SOPHYAINCP)picmapview.h \
+  pigncont.h \
   $(SOPHYAINCP)pistdimgapp.h \
   $(SOPHYAINCP)pifilechox.h \
@@ -91,7 +93,8 @@
   $(SOPHYAINCP)piscdrawwdg.h \
   $(SOPHYAINCP)ntuple.h \
-  $(SOPHYAINCP)ntupintf.h gp_contour.h \
-  gp_types.h gpc_misc.h gp_dynarray.h gp_graph3d.h gp_alloc.h
-	$(CXXCOMPILE) -o $@ $<
+  $(SOPHYAINCP)ntupintf.h \
+  gp_contour.h gp_types.h gpc_misc.h gp_dynarray.h gp_graph3d.h \
+  gp_alloc.h
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)pigncont.o: pigncont.cc \
@@ -157,5 +160,6 @@
   $(SOPHYAINCP)psfile.h \
   $(SOPHYAINCP)pigraphps.h \
-  $(SOPHYAINCP)picmapview.h pigncont.h \
+  $(SOPHYAINCP)picmapview.h \
+  pigncont.h \
   $(SOPHYAINCP)pistdimgapp.h \
   $(SOPHYAINCP)pifilechox.h \
@@ -188,7 +192,8 @@
   $(SOPHYAINCP)pitherm.h \
   $(SOPHYAINCP)resusage.h \
-  $(SOPHYAINCP)piscdrawwdg.h gp_contour.h \
-  gp_types.h gpc_misc.h gp_dynarray.h gp_graph3d.h gp_alloc.h
-	$(CXXCOMPILE) -o $@ $<
+  $(SOPHYAINCP)piscdrawwdg.h \
+  gp_contour.h gp_types.h gpc_misc.h gp_dynarray.h gp_graph3d.h \
+  gp_alloc.h
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)gp_alloc.o: gp_alloc.c gp_alloc.h gp_graph3d.h gp_types.h gpc_misc.h
Index: /trunk/SophyaPI/PIGcont/smakefile
===================================================================
--- /trunk/SophyaPI/PIGcont/smakefile	(revision 2750)
+++ /trunk/SophyaPI/PIGcont/smakefile	(revision 2751)
@@ -12,5 +12,6 @@
 $(SOPHYAOBJP)picntools.o: picntools.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h picntools.h \
+  $(SOPHYAINCP)machdefs.h \
+  picntools.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)pistdwdgx.h \
@@ -48,5 +49,6 @@
   $(SOPHYAINCP)psfile.h \
   $(SOPHYAINCP)pigraphps.h \
-  $(SOPHYAINCP)picmapview.h pigncont.h \
+  $(SOPHYAINCP)picmapview.h \
+  pigncont.h \
   $(SOPHYAINCP)pistdimgapp.h \
   $(SOPHYAINCP)pifilechox.h \
@@ -91,7 +93,8 @@
   $(SOPHYAINCP)piscdrawwdg.h \
   $(SOPHYAINCP)ntuple.h \
-  $(SOPHYAINCP)ntupintf.h gp_contour.h \
-  gp_types.h gpc_misc.h gp_dynarray.h gp_graph3d.h gp_alloc.h
-	$(CXXCOMPILE) -o $@ $<
+  $(SOPHYAINCP)ntupintf.h \
+  gp_contour.h gp_types.h gpc_misc.h gp_dynarray.h gp_graph3d.h \
+  gp_alloc.h
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)pigncont.o: pigncont.cc \
@@ -157,5 +160,6 @@
   $(SOPHYAINCP)psfile.h \
   $(SOPHYAINCP)pigraphps.h \
-  $(SOPHYAINCP)picmapview.h pigncont.h \
+  $(SOPHYAINCP)picmapview.h \
+  pigncont.h \
   $(SOPHYAINCP)pistdimgapp.h \
   $(SOPHYAINCP)pifilechox.h \
@@ -188,7 +192,8 @@
   $(SOPHYAINCP)pitherm.h \
   $(SOPHYAINCP)resusage.h \
-  $(SOPHYAINCP)piscdrawwdg.h gp_contour.h \
-  gp_types.h gpc_misc.h gp_dynarray.h gp_graph3d.h gp_alloc.h
-	$(CXXCOMPILE) -o $@ $<
+  $(SOPHYAINCP)piscdrawwdg.h \
+  gp_contour.h gp_types.h gpc_misc.h gp_dynarray.h gp_graph3d.h \
+  gp_alloc.h
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)gp_alloc.o: gp_alloc.c gp_alloc.h gp_graph3d.h gp_types.h gpc_misc.h
Index: /trunk/SophyaPI/PIext/Makefile
===================================================================
--- /trunk/SophyaPI/PIext/Makefile	(revision 2750)
+++ /trunk/SophyaPI/PIext/Makefile	(revision 2751)
@@ -26,7 +26,9 @@
   $(SOPHYAINCP)mutyv.h \
   $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h dlftypes.h \
-  basexecut.h $(SOPHYAINCP)strutilxx.h \
-  pistdimgapp.h $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)zthread.h \
+  dlftypes.h basexecut.h \
+  $(SOPHYAINCP)strutilxx.h \
+  pistdimgapp.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
   $(SOPHYAINCP)piapplgen.h \
@@ -79,11 +81,13 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h nobjmgr.h \
-  pisiadw.h $(SOPHYAINCP)pilistx.h \
+  $(SOPHYAINCP)pigraph3d.h \
+  nobjmgr.h pisiadw.h \
+  $(SOPHYAINCP)pilistx.h \
   $(SOPHYAINCP)pilistgen.h \
   $(SOPHYAINCP)pistzwin.h \
   $(SOPHYAINCP)pitherm.h \
-  $(SOPHYAINCP)resusage.h servnobjm.h \
-  nomgadapter.h $(SOPHYAINCP)ntupintf.h \
+  $(SOPHYAINCP)resusage.h \
+  servnobjm.h nomgadapter.h \
+  $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)generalfit.h \
   $(SOPHYAINCP)tvector.h \
@@ -106,8 +110,9 @@
   $(SOPHYAINCP)hisprof.h \
   $(SOPHYAINCP)ntuple.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)contmodex.o: contmodex.cc \
-  $(SOPHYAINCP)sopnamsp.h contmodex.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  contmodex.h \
   $(SOPHYAINCP)machdefs.h piacmd.h \
   $(SOPHYAINCP)commander.h \
@@ -124,6 +129,7 @@
   $(SOPHYAINCP)mutyv.h \
   $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h dlftypes.h \
-  nobjmgr.h $(SOPHYAINCP)pigncont.h \
+  $(SOPHYAINCP)zthread.h \
+  dlftypes.h nobjmgr.h \
+  $(SOPHYAINCP)pigncont.h \
   $(SOPHYAINCP)pistdimgapp.h \
   $(SOPHYAINCP)pisysdep.h \
@@ -195,5 +201,6 @@
   $(SOPHYAINCP)gp_dynarray.h \
   $(SOPHYAINCP)gp_graph3d.h \
-  $(SOPHYAINCP)gp_alloc.h nomgadapter.h \
+  $(SOPHYAINCP)gp_alloc.h \
+  nomgadapter.h \
   $(SOPHYAINCP)generalfit.h \
   $(SOPHYAINCP)tvector.h \
@@ -209,8 +216,9 @@
   $(SOPHYAINCP)perrors.h \
   $(SOPHYAINCP)fmath.h servnobjm.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)cxxexecutor.o: cxxexecutor.cc \
-  $(SOPHYAINCP)sopnamsp.h cxxexecutor.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  cxxexecutor.h \
   $(SOPHYAINCP)machdefs.h piacmd.h \
   $(SOPHYAINCP)commander.h \
@@ -227,7 +235,9 @@
   $(SOPHYAINCP)mutyv.h \
   $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h dlftypes.h \
-  nobjmgr.h $(SOPHYAINCP)strutilxx.h \
-  $(SOPHYAINCP)cxxcmplnk.h nomgadapter.h \
+  $(SOPHYAINCP)zthread.h \
+  dlftypes.h nobjmgr.h \
+  $(SOPHYAINCP)strutilxx.h \
+  $(SOPHYAINCP)cxxcmplnk.h \
+  nomgadapter.h \
   $(SOPHYAINCP)pidrawer.h \
   $(SOPHYAINCP)pibwdggen.h \
@@ -266,5 +276,6 @@
   $(SOPHYAINCP)utils.h \
   $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)fmath.h pistdimgapp.h \
+  $(SOPHYAINCP)fmath.h \
+  pistdimgapp.h \
   $(SOPHYAINCP)piapplx.h \
   $(SOPHYAINCP)piapplgen.h \
@@ -295,14 +306,15 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h pisiadw.h \
-  $(SOPHYAINCP)pilistx.h \
+  $(SOPHYAINCP)pigraph3d.h \
+  pisiadw.h $(SOPHYAINCP)pilistx.h \
   $(SOPHYAINCP)pilistgen.h \
   $(SOPHYAINCP)pistzwin.h \
   $(SOPHYAINCP)pitherm.h \
   $(SOPHYAINCP)resusage.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)cxxexecwin.o: cxxexecwin.cc \
-  $(SOPHYAINCP)sopnamsp.h cxxexecutor.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  cxxexecutor.h \
   $(SOPHYAINCP)machdefs.h piacmd.h \
   $(SOPHYAINCP)commander.h \
@@ -319,7 +331,8 @@
   $(SOPHYAINCP)mutyv.h \
   $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h dlftypes.h \
-  nobjmgr.h cxxexecwin.h \
-  $(SOPHYAINCP)pisysdep.h pistdimgapp.h \
+  $(SOPHYAINCP)zthread.h \
+  dlftypes.h nobjmgr.h cxxexecwin.h \
+  $(SOPHYAINCP)pisysdep.h \
+  pistdimgapp.h \
   $(SOPHYAINCP)piapplx.h \
   $(SOPHYAINCP)piapplgen.h \
@@ -372,14 +385,15 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h pisiadw.h \
-  $(SOPHYAINCP)pilistx.h \
+  $(SOPHYAINCP)pigraph3d.h \
+  pisiadw.h $(SOPHYAINCP)pilistx.h \
   $(SOPHYAINCP)pilistgen.h \
   $(SOPHYAINCP)pistzwin.h \
   $(SOPHYAINCP)pitherm.h \
   $(SOPHYAINCP)resusage.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)flowmodex.o: flowmodex.cc \
-  $(SOPHYAINCP)sopnamsp.h flowmodex.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  flowmodex.h \
   $(SOPHYAINCP)machdefs.h piacmd.h \
   $(SOPHYAINCP)commander.h \
@@ -396,6 +410,6 @@
   $(SOPHYAINCP)mutyv.h \
   $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h dlftypes.h \
-  nobjmgr.h pi2dvec.h pistdimgapp.h \
+  $(SOPHYAINCP)zthread.h \
+  dlftypes.h nobjmgr.h pi2dvec.h pistdimgapp.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
@@ -449,6 +463,6 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h pisiadw.h \
-  $(SOPHYAINCP)pilistx.h \
+  $(SOPHYAINCP)pigraph3d.h \
+  pisiadw.h $(SOPHYAINCP)pilistx.h \
   $(SOPHYAINCP)pilistgen.h \
   $(SOPHYAINCP)pistzwin.h \
@@ -457,5 +471,6 @@
   $(SOPHYAINCP)piscdrawwdg.h \
   $(SOPHYAINCP)ntupintf.h \
-  $(SOPHYAINCP)ntuple.h nomgadapter.h \
+  $(SOPHYAINCP)ntuple.h \
+  nomgadapter.h \
   $(SOPHYAINCP)generalfit.h \
   $(SOPHYAINCP)tvector.h \
@@ -471,5 +486,5 @@
   $(SOPHYAINCP)perrors.h \
   $(SOPHYAINCP)fmath.h servnobjm.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)nobjmgr.o: nobjmgr.cc \
@@ -477,5 +492,6 @@
   $(SOPHYAINCP)strutil.h \
   $(SOPHYAINCP)datatypes.h \
-  $(SOPHYAINCP)machdefs.h nobjmgr.h \
+  $(SOPHYAINCP)machdefs.h \
+  nobjmgr.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ppersist.h \
@@ -488,6 +504,8 @@
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)mutyv.h dlftypes.h \
-  servnobjm.h $(SOPHYAINCP)pdlmgr.h \
-  nomgadapter.h $(SOPHYAINCP)pidrawer.h \
+  servnobjm.h \
+  $(SOPHYAINCP)pdlmgr.h \
+  nomgadapter.h \
+  $(SOPHYAINCP)pidrawer.h \
   $(SOPHYAINCP)pibwdggen.h \
   $(SOPHYAINCP)pisysdep.h \
@@ -525,5 +543,6 @@
   $(SOPHYAINCP)utils.h \
   $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)fmath.h pistdimgapp.h \
+  $(SOPHYAINCP)fmath.h \
+  pistdimgapp.h \
   $(SOPHYAINCP)piapplx.h \
   $(SOPHYAINCP)piapplgen.h \
@@ -554,5 +573,6 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h piacmd.h \
+  $(SOPHYAINCP)pigraph3d.h \
+  piacmd.h \
   $(SOPHYAINCP)commander.h \
   $(SOPHYAINCP)ctimer.h \
@@ -585,15 +605,17 @@
   $(SOPHYAINCP)fitslocalmap.h \
   $(SOPHYAINCP)localmap.h \
-  $(SOPHYAINCP)fbtntintf.h pitvmaad.h \
+  $(SOPHYAINCP)fbtntintf.h \
+  pitvmaad.h \
   $(SOPHYAINCP)piyfxdrw.h \
-  $(SOPHYAINCP)pisurfdr.h pipodrw.h \
-  $(SOPHYAINCP)histos2.h \
+  $(SOPHYAINCP)pisurfdr.h \
+  pipodrw.h $(SOPHYAINCP)histos2.h \
   $(SOPHYAINCP)histos.h pintuple.h \
   pintup3d.h pigfd1.h pigfd2.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)nomgadapter.o: nomgadapter.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h nomgadapter.h \
+  $(SOPHYAINCP)machdefs.h \
+  nomgadapter.h \
   $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)pexceptions.h \
@@ -643,10 +665,11 @@
   $(SOPHYAINCP)perrors.h \
   $(SOPHYAINCP)fmath.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)nomgfdadapter.o: nomgfdadapter.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h nomgfdadapter.h \
-  nomgadapter.h $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h \
+  nomgfdadapter.h nomgadapter.h \
+  $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)gnumd5.h \
@@ -701,10 +724,11 @@
   $(SOPHYAINCP)fioarr.h \
   $(SOPHYAINCP)hisprof.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)nomhistadapter.o: nomhistadapter.cc \
   $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h nomhistadapter.h \
-  nomgadapter.h $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h \
+  nomhistadapter.h nomgadapter.h \
+  $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)gnumd5.h \
@@ -760,6 +784,7 @@
   $(SOPHYAINCP)xntuple.h \
   $(SOPHYAINCP)basedtable.h \
-  $(SOPHYAINCP)segdatablock.h pihisto.h \
-  pihisto2d.h $(SOPHYAINCP)pimenux.h \
+  $(SOPHYAINCP)segdatablock.h \
+  pihisto.h pihisto2d.h \
+  $(SOPHYAINCP)pimenux.h \
   $(SOPHYAINCP)pimenugen.h \
   $(SOPHYAINCP)pimenubarx.h \
@@ -792,11 +817,12 @@
   $(SOPHYAINCP)ppfswapper.h \
   $(SOPHYAINCP)ppftpointerio.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)nomimagadapter.o: nomimagadapter.cc \
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)datatype.h nomimagadapter.h \
-  nomgadapter.h $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)datatype.h \
+  nomimagadapter.h nomgadapter.h \
+  $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)gnumd5.h \
@@ -846,5 +872,6 @@
   $(SOPHYAINCP)fmath.h \
   $(SOPHYAINCP)cimage.h \
-  $(SOPHYAINCP)fioarr.h pimgadapter.h \
+  $(SOPHYAINCP)fioarr.h \
+  pimgadapter.h \
   $(SOPHYAINCP)objfitter.h \
   $(SOPHYAINCP)histos.h \
@@ -855,11 +882,12 @@
   $(SOPHYAINCP)FitsIO/fitsio.h \
   $(SOPHYAINCP)FitsIO/longnam.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)nomskymapadapter.o: nomskymapadapter.cc \
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)datatype.h nomskymapadapter.h \
-  nomgadapter.h $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)datatype.h \
+  nomskymapadapter.h nomgadapter.h \
+  $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)gnumd5.h \
@@ -925,5 +953,6 @@
   $(SOPHYAINCP)fiospherehealpix.h \
   $(SOPHYAINCP)fiolocalmap.h \
-  $(SOPHYAINCP)fiosphereecp.h pitvmaad.h \
+  $(SOPHYAINCP)fiosphereecp.h \
+  pitvmaad.h \
   $(SOPHYAINCP)complexios.h \
   $(SOPHYAINCP)fitsspherehealpix.h \
@@ -932,5 +961,5 @@
   $(SOPHYAINCP)FitsIO/longnam.h \
   $(SOPHYAINCP)fitslocalmap.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)nomspecrespadapter.o: nomspecrespadapter.cc \
@@ -988,11 +1017,12 @@
   $(SOPHYAINCP)specrespvector.h \
   $(SOPHYAINCP)gaussfilt.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)nomtarradapter.o: nomtarradapter.cc \
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)datatype.h nomtarradapter.h \
-  nomgadapter.h $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)datatype.h \
+  nomtarradapter.h nomgadapter.h \
+  $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)gnumd5.h \
@@ -1047,5 +1077,5 @@
   $(SOPHYAINCP)FitsIO/fitsio.h \
   $(SOPHYAINCP)FitsIO/longnam.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)nomtmatvecadapter.o: nomtmatvecadapter.cc \
@@ -1082,6 +1112,7 @@
   $(SOPHYAINCP)generaldata.h \
   $(SOPHYAINCP)ntupintf.h \
-  $(SOPHYAINCP)poly.h nomtmatvecadapter.h \
-  nomgadapter.h $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)poly.h \
+  nomtmatvecadapter.h nomgadapter.h \
+  $(SOPHYAINCP)pidrawer.h \
   $(SOPHYAINCP)pibwdggen.h \
   $(SOPHYAINCP)pisysdep.h \
@@ -1106,10 +1137,11 @@
   $(SOPHYAINCP)parradapter.h \
   $(SOPHYAINCP)lut.h \
-  $(SOPHYAINCP)piyfxdrw.h pitvmaad.h \
+  $(SOPHYAINCP)piyfxdrw.h \
+  pitvmaad.h \
   $(SOPHYAINCP)fitstarray.h \
   $(SOPHYAINCP)fitsfile.h \
   $(SOPHYAINCP)FitsIO/fitsio.h \
   $(SOPHYAINCP)FitsIO/longnam.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)pawexecut.o: pawexecut.cc \
@@ -1143,10 +1175,11 @@
   $(SOPHYAINCP)histerr.h \
   $(SOPHYAINCP)ntuple.h \
-  $(SOPHYAINCP)ntupintf.h pawexecut.h \
-  piacmd.h $(SOPHYAINCP)commander.h \
+  $(SOPHYAINCP)ntupintf.h \
+  pawexecut.h piacmd.h \
+  $(SOPHYAINCP)commander.h \
   $(SOPHYAINCP)pdlmgr.h \
   $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h dlftypes.h \
-  nobjmgr.h servnobjm.h nomgadapter.h \
+  $(SOPHYAINCP)zthread.h \
+  dlftypes.h nobjmgr.h servnobjm.h nomgadapter.h \
   $(SOPHYAINCP)pidrawer.h \
   $(SOPHYAINCP)pibwdggen.h \
@@ -1174,5 +1207,6 @@
   $(SOPHYAINCP)generalfit.h \
   $(SOPHYAINCP)generaldata.h \
-  $(SOPHYAINCP)poly.h pistdimgapp.h \
+  $(SOPHYAINCP)poly.h \
+  pistdimgapp.h \
   $(SOPHYAINCP)piapplx.h \
   $(SOPHYAINCP)piapplgen.h \
@@ -1203,11 +1237,12 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h pisiadw.h \
-  $(SOPHYAINCP)pilistx.h \
+  $(SOPHYAINCP)pigraph3d.h \
+  pisiadw.h $(SOPHYAINCP)pilistx.h \
   $(SOPHYAINCP)pilistgen.h \
   $(SOPHYAINCP)pistzwin.h \
   $(SOPHYAINCP)pitherm.h \
-  $(SOPHYAINCP)resusage.h pihisto.h
-	$(CXXCOMPILE) -o $@ $<
+  $(SOPHYAINCP)resusage.h \
+  pihisto.h
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)pi2dvec.o: pi2dvec.cc \
@@ -1238,5 +1273,6 @@
   $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)nbtri.h pi2dvec.h \
-  pistdimgapp.h $(SOPHYAINCP)pisysdep.h \
+  pistdimgapp.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
   $(SOPHYAINCP)piapplgen.h \
@@ -1289,6 +1325,6 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h nobjmgr.h \
-  dlftypes.h piacmd.h \
+  $(SOPHYAINCP)pigraph3d.h \
+  nobjmgr.h dlftypes.h piacmd.h \
   $(SOPHYAINCP)commander.h \
   $(SOPHYAINCP)pdlmgr.h \
@@ -1301,8 +1337,9 @@
   $(SOPHYAINCP)resusage.h \
   $(SOPHYAINCP)piscdrawwdg.h
-	$(CXXCOMPILE) -o $@ $<
- 
-$(SOPHYAOBJP)piacmd.o: piacmd.cc $(SOPHYAINCP)sopnamsp.h \
-  piacmd.h $(SOPHYAINCP)machdefs.h \
+	$(CXXCOMPILELIB) -o $@ $<
+ 
+$(SOPHYAOBJP)piacmd.o: piacmd.cc \
+  $(SOPHYAINCP)sopnamsp.h piacmd.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)commander.h \
   $(SOPHYAINCP)pdlmgr.h \
@@ -1318,8 +1355,10 @@
   $(SOPHYAINCP)mutyv.h \
   $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h dlftypes.h \
-  basexecut.h $(SOPHYAINCP)strutil.h \
+  $(SOPHYAINCP)zthread.h \
+  dlftypes.h basexecut.h \
+  $(SOPHYAINCP)strutil.h \
   $(SOPHYAINCP)strutilxx.h \
-  $(SOPHYAINCP)srandgen.h pistdimgapp.h \
+  $(SOPHYAINCP)srandgen.h \
+  pistdimgapp.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
@@ -1373,11 +1412,13 @@
   $(SOPHYAINCP)pi3dwdg.h \
   $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h nobjmgr.h \
-  pisiadw.h $(SOPHYAINCP)pilistx.h \
+  $(SOPHYAINCP)pigraph3d.h \
+  nobjmgr.h pisiadw.h \
+  $(SOPHYAINCP)pilistx.h \
   $(SOPHYAINCP)pilistgen.h \
   $(SOPHYAINCP)pistzwin.h \
   $(SOPHYAINCP)pitherm.h \
-  $(SOPHYAINCP)resusage.h piafitting.h \
-  nomgadapter.h $(SOPHYAINCP)ntupintf.h \
+  $(SOPHYAINCP)resusage.h \
+  piafitting.h nomgadapter.h \
+  $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)generalfit.h \
   $(SOPHYAINCP)tvector.h \
@@ -1394,5 +1435,5 @@
   $(SOPHYAINCP)fmath.h pawexecut.h \
   cxxexecutor.h cxxexecwin.h contmodex.h flowmodex.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILELIB) -o $@ $<
  
 $(SOPHYAOBJP)piafitting.o: piafitting.cc \
@@ -1433,6 +1474,7 @@
   $(SOPHYAINCP)histos2.h \
   $(SOPHYAINCP)hisprof.h \
-  $(SOPHYAINCP)objfitter.h piafitting.h \
-  nomgadapter.h $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)objfitter.h \
+  piafitting.h nomgadapter.h \
+  $(SOPHYAINCP)pidrawer.h \
   $(SOPHYAINCP)pibwdggen.h \
   $(SOPHYAINCP)pisysdep.h \
